MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001881VCMIMechanics - Battlespublic2014-08-22 00:372017-07-16 08:20
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.96 
Target VersionFixed in Version0.99 
Summary0001881: artifact armagedon blade does not save the troops
Descriptionnot immune
TagsNo tags attached.
Attached Files

- Relationships
related to 0001791assignedAVS Orb of vulnerability 

-  Notes
(0004976)
Ivan (developer)
2014-09-23 16:40

Strange one - artifacts.json does mentions immunity to Armageddon as one of its bonuses.

Something broken in bonus system? Or there is sneaky typo somewhere in config?
(0004984)
Povelitel (updater)
2014-09-23 21:26
edited on: 2014-09-23 21:28

If hero have art "Orb of Vulnerability" (and armagedon blade) :

 in SoD armagedon has no effect on their units
 in vcmi effect on their units

(0004986)
Warmonger (administrator)
2014-09-26 10:04

Orb should remove all immunities according to its description. How does it work with Badge of Courage and all the Pendats?
(0005001)
Povelitel (updater)
2014-10-07 17:32

Armageddon's Blade even with the orb must defend your units from Armageddon.
(0006642)
AVS (administrator)
2016-09-11 11:56

Has been fixed in https://github.com/vcmi/vcmi/pull/120 [^]

- Issue History
Date Modified Username Field Change
2014-08-22 00:37 Povelitel New Issue
2014-09-23 16:40 Ivan Note Added: 0004976
2014-09-23 17:03 Povelitel Note Added: 0004980
2014-09-23 17:03 Povelitel Assigned To => Povelitel
2014-09-23 17:03 Povelitel Status new => feedback
2014-09-23 17:57 Povelitel Note Added: 0004983
2014-09-23 17:57 Povelitel Status feedback => assigned
2014-09-23 17:57 Povelitel Status assigned => closed
2014-09-23 21:26 Povelitel Assigned To Povelitel => Ivan
2014-09-23 21:26 Povelitel Note Added: 0004984
2014-09-23 21:26 Povelitel Status closed => feedback
2014-09-23 21:26 Povelitel Resolution open => reopened
2014-09-23 21:26 Povelitel Note Deleted: 0004983
2014-09-23 21:26 Povelitel Note Deleted: 0004980
2014-09-23 21:27 Povelitel Status feedback => new
2014-09-23 21:28 Povelitel Note Edited: 0004984 View Revisions
2014-09-26 09:57 Ivan Assigned To Ivan =>
2014-09-26 10:04 Warmonger Note Added: 0004986
2014-10-07 17:32 Povelitel Note Added: 0005001
2014-12-20 10:56 Warmonger Relationship added related to 0001791
2016-09-11 11:56 AVS Note Added: 0006642
2016-09-11 11:56 AVS Status new => resolved
2016-09-11 11:56 AVS Fixed in Version => 0.99
2016-09-11 11:56 AVS Resolution reopened => fixed
2016-09-11 11:56 AVS Assigned To => AVS
2017-07-16 08:20 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean